Page MenuHomeFreeBSD

Fix all warnings emitted in `make kernel-toolchain`
ClosedPublic

Authored by arichardson on Dec 13 2020, 5:21 PM.

Details

Summary

With this change and D27598 make kernel-toolchain no longer emits any
warnings for me.

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

everything but the tools/build/Makefile changes are good. I'm not at all sure that I understand those... This file has become a rather twisty maze, so I've not puzzled all the way through understanding...

tools/build/Makefile
132

Wouldn't you still need the amd64/i386 versions of these as well to build?

tools/build/Makefile
132

Good catch, I got confused about why both existed.
Turns out the amd64/i386 headers are simply #include <x86/elf.h>, so removing it happened to work, but I'll revert that change and keep installing both to make legacy/include as close to the real include as possible.

arichardson marked an inline comment as done.

Fix tools/build/Makefile change

If there are no objections, I'll commit this together with the MK_WERROR changes (D27601 + D27598) later this week (probably tomorrow afternoon).

This revision is now accepted and ready to land.Jan 6 2021, 2:14 PM
This revision now requires review to proceed.Jan 6 2021, 5:44 PM
This revision was not accepted when it landed; it landed in state Needs Review.Jan 7 2021, 11:08 AM
This revision was automatically updated to reflect the committed changes.